#!/bin/sh

# UTF8

# Этот скрипт перекодирует PCM-WAV в MP3
# !!!! Не забудьте установить lame

# This script encodes PCM-WAV into MP3
# !!!! Do not forget to install lame




# Параметры командной строки скрипта
# Command line parameters for the script

# ${1}
# полный путь и имя свежезаписанного файла
# full path and name of just recorded file
filename="${1}"

# ${2}
# направление звука: R - от радио к серверу; S - от сервера к радио
# sound direction: R - from Radio to server; S - from Server to radio
sounddir="${2}"

# ${3}
# диапазон и канал
# band & channel
bandchannel="${3}"

# ${4}
# описание клиента или пробел
# client's description or space character
description="${4}"

# ${5}
# позывной и имя
# callsign & name
callsign="${5}"

# ${6}
# местоположение
# location
location="${6}"

# ${7}
# страна
# country
country="${7}"

# ${8}, r5888+
# идентификатор клиента от сервера
# client ID from server
serverid="${8}"

# ${9}, r5888+
# количество записанного звука в миллисекундах
# amount of recorded sound, milliseconds
sound_amount="${9}"

# ${10}, r5888+
# конфигурационный файл
# configuration file name
cfg="${10}"

# ${11}, r5888+
# идентификатор процесса (PID)
# process identifier (PID)
pid="${11}"



dir=$(dirname ${filename})
bname=$(basename ${filename} .wav)
mp3name="${dir}/${bname}.mp3"

if nice lame --silent --noreplaygain -q0  "${filename}" "${mp3name}" ; then
    # успешное кодирование в mp3 - удаляем исходный wav-файл
    # success of mp3 encoding - delete source wav-file
    rm -f $1
else
    # ошибка перекодирования в mp3 - почистим возможный мусор
    # error of mp3 encoding - clear junk
    rm -f ${mp3name}
fi
sync

